Loading...
Searching...
No Matches
cxx::H_list_item_t< ELEM_TYPE > Class Template Reference

Basic element type for a double-linked H_list. More...

`#include <hlist>`

Inheritance diagram for cxx::H_list_item_t< ELEM_TYPE >:
Collaboration diagram for cxx::H_list_item_t< ELEM_TYPE >:

## Public Member Functions

| H_list_item_t ()
| Constructor.
| ~H_list_item_t () noexcept
| Destructor.

## Detailed Description

template<typename ELEM_TYPE>
class cxx::H_list_item_t< ELEM_TYPE >

Basic element type for a double-linked H_list.

Template Parameters

  ELEM_TYPE | Base class of the list element.

Definition at line 22 of file hlist.

## Constructor & Destructor Documentation

## H_list_item_t()

template<typename ELEM_TYPE>

cxx::H_list_item_t< ELEM_TYPE >::H_list_item_t | ( |  | ) |

inline

Constructor.

Creates an element that is not in any list.

Definition at line 30 of file hlist.

## ~H_list_item_t()

template<typename ELEM_TYPE>

cxx::H_list_item_t< ELEM_TYPE >::~H_list_item_t | ( |  | ) |

inlinenoexcept

Destructor.

Automatically removes the element from any list it still might be enchained in.

Definition at line 37 of file hlist.

The documentation for this class was generated from the following file:

- l4/cxx/hlist